<?php
/**
 * Copyright 2013 Drexel University
 */

require_once(dirname(__FILE__) . "/RodsWiki.install.php");

if (!file_exists(dirname(__FILE__) . "/installed")) {
    global $wgDBprefix, $configIrodsRootPath, $configSaveArticleSubdirectory;

    // create table irods_users for user permissions management
    $dbw = wfGetDB(DB_MASTER);
    $dbw->query('
        CREATE TABLE IF NOT EXISTS ' . $wgDBprefix . 'irods_users (
            wiki_user_id int(5) NOT NULL PRIMARY KEY,
            irods_user_name varchar(64) NOT NULL,
            irods_user_password varchar(64) NOT NULL,
            irods_user_root_path varchar(128) NOT NULL,
            irods_user_resource varchar(128) NOT NULL,
            irods_user_zone varchar(64) NOT NULL,
            irods_custom_account_active tinyint(1) NOT NULL DEFAULT \'0\'
        );');

    $dbw->query('
        CREATE TABLE IF NOT EXISTS `' . $wgDBprefix . 'irods_tickets` (
            `irods_ticket_string` varchar(64) NOT NULL,
            `irods_file_url` varchar(128) NOT NULL,
            `irods_ticket_creation` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
        );');

    $file = fopen(dirname(__FILE__) . "/installed", "a+");
    fclose($file);


    // Creates the collection where files will be stored accourding to the setting in config file:
    make_directory(dirname($configIrodsRootPath), basename($configIrodsRootPath));
    make_directory($configIrodsRootPath, basename($configSaveArticleSubdirectory));
}
?>
